using System;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            int inp1 = Convert.ToInt32(Console.ReadLine());
            int[] inp2 = Array.ConvertAll(Console.ReadLine().Split(' '), Convert.ToInt32);

            int farthestMaxIndex = FindFarthestMaxIndex(inp2);

            for(int i = 0; i < inp2.Length; i++)
            {
                if(inp2[farthestMaxIndex] > inp2[i])
                {
                    inp1 = inp2[farthestMaxIndex];
                    inp2[farthestMaxIndex] = inp2[i];
                    inp2[i] = inp1;
                    break;
                }
            }

            foreach(int i in inp2)
            {
                Console.Write(i);
            }
            Console.WriteLine();
        }

        static int FindFarthestMaxIndex(int[] arr)
        {
            int maxIndex = 1, maxNum = 0;
            for(int i = 1; i < arr.Length; i++)
            {
                if(arr[i] >= maxNum)
                {
                    maxIndex = i;
                    maxNum = arr[i];
                }
            }
            return maxIndex;
        }
    }
}